* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }

  /* Full page layout */
  body, html {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #000000;
    margin-top: 20px;
  }

  /* Container for the content */
  .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 600px;
    height: auto;
    box-shadow: 2px 2px 5px #a0a0a0;
  }

  /* Image styling */
  #dynamicImage {
    width: 100%;
    max-width: 400px;
    border-radius: 10px;
  }

  /* Text area for input */
  #textInput {
    width: 100%;
    max-width: 500px;
    padding: 10px;
    margin-top: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    resize: none;
    height: 70px;
  }

  /* Output container */
  #outputDiv {
    width: 100%;
    max-width: 500px;
    margin-top: 20px;
    font-size: 16px;
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;;
    line-height: 22px;
  }

  /* Button styling */
  #submitButton {
    width: 100%;
    max-width: 500px;
    padding: 10px;
    margin-top: 20px;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 18px;
    cursor: pointer;
  }

  #submitButton:hover {
    background-color: #0056b3;
  }

  /* Make the layout mobile responsive */
  @media screen and (max-width: 768px) {
    .container {
      width: 95%;
      padding: 20px;
    }
  }

  /* Thinking gif */
  #thinking {
    width: 50px;
    height: 50px;
  }

  .info-text {
    width: 100%;
    text-align: center;
    font-size: 10px;
    padding: 8px;
    line-height: 30px;
    font-family: Arial, Helvetica, sans-serif;
  }